﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Hitsuji.Nengajou.Models.InnerCanvasStateModels
{
    public class SenderPNoPreState : ILabelState
    {
        #region ILabelState メンバ

        public void setLabelState(System.Windows.Controls.Label label)
        {
            if (label.Name.Equals("LBL_S_PRIM1"))
            {
                Canvas.SetLeft(label, 22);
                Canvas.SetTop(label, 486);
            }
            else if (label.Name.Equals("LBL_S_PRIM2"))
            {
                Canvas.SetLeft(label, 38);
                Canvas.SetTop(label, 486);
            }
            else if (label.Name.Equals("LBL_S_PRIM3"))
            {
                Canvas.SetLeft(label, 54);
                Canvas.SetTop(label, 486);
            }

            label.Width = 20;
            label.Height = 24;
            label.FontSize = 8;
            label.BorderThickness = new Thickness(1, 1, 1, 1);
            label.BorderBrush = Brushes.Bisque;
        }

        #endregion
    }
}
