﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Xml.Linq;
using Hitsuji.Nengajou.Models.DataBases;

namespace Hitsuji.Nengajou.ObserverPattern.Subjects
{
    public class GetReseiverLayoutInfoSubject : Subject
    {

        public IEnumerable<XElement> LayoutElements;

        public void doMyRole()
        {
            try
            {
                //抽出処理開始
                XDocument reseiverLayoutDoc = XDocument.Load(FilePathDataBase.getReseiverLayoutFilePath());
                LayoutElements = from rl in reseiverLayoutDoc.Descendants(ReseiverLayoutInfoTable.DataTableName)
                                 select rl;
                
                reseiverLayoutDoc = null;
                
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.ToString());
            }

            notify(this);

        }
    }
}
