﻿using System.Windows;
using Hitsuji.Framework.ViewModels;
using Hitsuji.Nengajou.Views;

namespace Hitsuji.Nengajou.ViewModels
{
    public class PrimaryAreaBaseViewModel : AViewModel
    {
        
        //スタックパネルのアイテムを全てクリア
        public void clearStackPanelItems()
        {
            (this.View as PrimaryAreaBaseView).stackPanel1.Children.Clear();
        }

        //スタックパネルにアイテム追加
        public void addStackPanelItem(UIElement view)
        {
            (this.View as PrimaryAreaBaseView).stackPanel1.Children.Add(view);
        }
    }
}
