﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Hitsuji.Nengajou.Views;
using Hitsuji.Nengajou.ViewModels;
using Hitsuji.Framework.ViewModels;

namespace Hitsuji.Nengajou
{
    /// <summary>
    /// Window1.xaml の相互作用ロジック
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        public AViewModel mainWindowViewModel_
        {
            get;
            set;
        }


        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            var mainWindowVM = new MainWindowViewModel();
            this.DataContext = mainWindowVM;
            mainWindowVM.View = this;

            (this.DataContext as MainWindowViewModel).initAppDataSourceSetting();
            (this.DataContext as MainWindowViewModel).initViewModel();

        }

    }
}
