﻿using System;

namespace Hitsuji.Framework.Thread
{
    public class PrepareThreadUtil : IDisposable
    {

        private System.Threading.Thread myThread_;
        public void prepare(String threadName, 
                            Action action)
        {
            myThread_ = new System.Threading.Thread(new System.Threading.ThreadStart(action));
            myThread_.Name = threadName;
            myThread_.IsBackground = true;
        }


        #region ▼処理開始

        public void threadStart()
        {
            this.myThread_.Start();
        }

        #endregion ▲処理開始


        #region IDisposable メンバ

        void IDisposable.Dispose()
        {
            myThread_ = null;
        }

        #endregion
    }
}
