﻿using System;
using System.Drawing;

namespace Hitsuji.Nengajou.Print.Color
{
    public class ColorExchangeClass
    {
        public static Brush exchangeAsColor(string colorCode)
        {
            //"#FF000000"
            var r = colorCode.Substring(3, 2);
            var g = colorCode.Substring(5, 2);
            var b = colorCode.Substring(7, 2);
            int rr = Int32.Parse(r, System.Globalization.NumberStyles.HexNumber);
            int gg = Int32.Parse(g, System.Globalization.NumberStyles.HexNumber);
            int bb = Int32.Parse(b, System.Globalization.NumberStyles.HexNumber);

            return new SolidBrush(System.Drawing.Color.FromArgb(rr, gg, bb));
        }
    }
}
