﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Hitsuji.Nengajou.Print.Controls;

namespace Hitsuji.Nengajou.Print
{
    public partial class Form1 : Form
    {
        private PrintReseiverLayoutControlClass PrintReseiverLayoutControl = null;
        private PrintIllustLayoutControlClass PrintIllustLayoutControl = null;
        
        public Form1()
        {
            InitializeComponent();

            PrintReseiverLayoutControl = new PrintReseiverLayoutControlClass();
            PrintIllustLayoutControl = new PrintIllustLayoutControlClass();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            PrintReseiverLayoutControl.initComboBoxFontSizeItems(this.comboBoxReseiverLayoutFontSize);
            PrintReseiverLayoutControl.initComboBoxMargineItems(this.comboBoxReseiverLayoutMargin);
            PrintIllustLayoutControl.initComboBoxFontSizeItems(this.comboBoxIllustLayoutFontSize);
            PrintIllustLayoutControl.initComboBoxMargineItems(this.comboBoxIllustLayoutMargin);
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            PrintReseiverLayoutControl.readAndPreviewReseiverLayout(sender, e);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            PrintIllustLayoutControl.readAndPreviewIllustLayout(sender, e);
        }

    }
}
