﻿using Hitsuji.Nengajou.Commands;

namespace Hitsuji.Nengajou.Models.Contents
{
    public class ContentModelFactory
    {

        public static MyPersonalInfoContentModel createMyPersonalContentModel()
        {
            var myPersonalInfo = new MyPersonalInfoContentModel();
            var bindingCommand = new EventTemplateCommand(myPersonalInfo);
            return myPersonalInfo;
        }

        public static OtherPersonalInfoContentModel createOtherPersonalContentModel()
        {
            var otherPersonalInfo = new OtherPersonalInfoContentModel();
            var bindingCommand = new EventTemplateCommand(otherPersonalInfo);
            return otherPersonalInfo;
        }

        public static YearInfoContentModel createYearContentModel()
        {
            var yearInfo = new YearInfoContentModel();
            var bindingCommand = new EventTemplateCommand(yearInfo);
            return yearInfo;
        }

        public static PostInfoContentModel createPostContentModel()
        {
            var postInfo = new PostInfoContentModel();
            var bindingCommand = new EventTemplateCommand(postInfo);
            return postInfo;
        }

        public static GroupInfoContentModel createGroupContentModel()
        {
            var groupInfo = new GroupInfoContentModel();
            var bindingCommand = new EventTemplateCommand(groupInfo);
            return groupInfo;
        }

        public static FontFamilyInfoContentModel createFontFamilyContentModel()
        {
            var fontFamilyInfo = new FontFamilyInfoContentModel();
            var bindingCommand = new EventTemplateCommand(fontFamilyInfo);
            return fontFamilyInfo;
        }

        public static CreatePrintLayoutInfoContentModel createPrintLayoutContentModel()
        {
            var printLayoutInfo = new CreatePrintLayoutInfoContentModel();
            var bindingCommand = new EventTemplateCommand(printLayoutInfo);
            return printLayoutInfo;
        }

        public static ReseiverLayoutInfoContentModel createReseiverLayoutContentModel()
        {
            var reseiverLayoutInfo = new ReseiverLayoutInfoContentModel();
            var bindingCommand = new EventTemplateCommand(reseiverLayoutInfo);
            return reseiverLayoutInfo;
        }

        public static IllustLayoutInfoContentModel createIllustLayoutContentModel()
        {
            var illustLayoutInfo = new IllustLayoutInfoContentModel();
            var bindingCommand = new EventTemplateCommand(illustLayoutInfo);
            return illustLayoutInfo;
        }


    }
}
