﻿using System.Collections.Generic;
using System.Windows.Controls;
using Hitsuji.Framework.Models;

namespace Hitsuji.Nengajou.Models.Contents
{
    public class ReseiverLayoutInfoContentModel : CommandBindableModel, IContentModel
    {
        public void initContents()
        {
            this.Id = "";
            this.LayoutName = "";
            this.LabelDictionary = new Dictionary<string, Label>();
        }

        private string Id_;
        public string Id
        {
            get { return Id_; }
            set
            {
                Id_ = value;
                base.OnPropertyChanged("Id");
            }
        }

        private string LayoutName_;
        public string LayoutName
        {
            get { return LayoutName_; }
            set
            {
                LayoutName_ = value;
                base.OnPropertyChanged("LayoutName");
            }
        }

        private string SelectedLabelName_;
        public string SelectedLabelName
        {
            get { return SelectedLabelName_; }
            set
            {
                SelectedLabelName_ = value;
                base.OnPropertyChanged("SelectedLabelName");
            }
        }

        public Dictionary<string, Label> LabelDictionary
        {
            get;
            set;
        }

        public Control SelectedLabel
        {
            get;
            set;
        }


        #region ui

        private bool ReseiverPNo_;
        public bool ReseiverPNo
        {
            get { return ReseiverPNo_; }
            set 
            { 
                ReseiverPNo_ = value;
                base.OnPropertyChanged("ReseiverPNo");
            }
        }
        private bool ReseiverAddress1_;
        public bool ReseiverAddress1
        {
            get { return ReseiverAddress1_; }
            set
            {
                ReseiverAddress1_ = value;
                base.OnPropertyChanged("ReseiverAddress1");
            }
        }
        private bool ReseiverAddress2_;
        public bool ReseiverAddress2
        {
            get { return ReseiverAddress2_; }
            set
            {
                ReseiverAddress2_ = value;
                base.OnPropertyChanged("ReseiverAddress2");
            }
        }
        private bool ReseiverAddress3_;
        public bool ReseiverAddress3
        {
            get { return ReseiverAddress3_; }
            set
            {
                ReseiverAddress3_ = value;
                base.OnPropertyChanged("ReseiverAddress3");
            }
        }
        private bool ReseiverName1_;
        public bool ReseiverName1
        {
            get { return ReseiverName1_; }
            set
            {
                ReseiverName1_ = value;
                base.OnPropertyChanged("ReseiverName1");
            }
        }
        private bool ReseiverName2_;
        public bool ReseiverName2
        {
            get { return ReseiverName2_; }
            set
            {
                ReseiverName2_ = value;
                base.OnPropertyChanged("ReseiverName2");
            }
        }
        private bool ReseiverName3_;
        public bool ReseiverName3
        {
            get { return ReseiverName3_; }
            set
            {
                ReseiverName3_ = value;
                base.OnPropertyChanged("ReseiverName3");
            }
        }
        private bool ReseiverName4_;
        public bool ReseiverName4
        {
            get { return ReseiverName4_; }
            set
            {
                ReseiverName4_ = value;
                base.OnPropertyChanged("ReseiverName4");
            }
        }
        private bool ReseiverNamePostFix1_;
        public bool ReseiverNamePostFix1
        {
            get { return ReseiverNamePostFix1_; }
            set
            {
                ReseiverNamePostFix1_ = value;
                base.OnPropertyChanged("ReseiverNamePostFix1");
            }
        }
        private bool ReseiverNamePostFix2_;
        public bool ReseiverNamePostFix2
        {
            get { return ReseiverNamePostFix2_; }
            set
            {
                ReseiverNamePostFix2_ = value;
                base.OnPropertyChanged("ReseiverNamePostFix2");
            }
        }
        private bool ReseiverNamePostFix3_;
        public bool ReseiverNamePostFix3
        {
            get { return ReseiverNamePostFix3_; }
            set
            {
                ReseiverNamePostFix3_ = value;
                base.OnPropertyChanged("ReseiverNamePostFix3");
            }
        }
        private bool ReseiverNamePostFix4_;
        public bool ReseiverNamePostFix4
        {
            get { return ReseiverNamePostFix4_; }
            set
            {
                ReseiverNamePostFix4_ = value;
                base.OnPropertyChanged("ReseiverNamePostFix4");
            }
        }

        private bool SenderPNo_;
        public bool SenderPNo
        {
            get { return SenderPNo_; }
            set
            {
                SenderPNo_ = value;
                base.OnPropertyChanged("SenderPNo");
            }
        }
        private bool SenderAddress1_;
        public bool SenderAddress1
        {
            get { return SenderAddress1_; }
            set
            {
                SenderAddress1_ = value;
                base.OnPropertyChanged("SenderAddress1");
            }
        }
        private bool SenderAddress2_;
        public bool SenderAddress2
        {
            get { return SenderAddress2_; }
            set
            {
                SenderAddress2_ = value;
                base.OnPropertyChanged("SenderAddress2");
            }
        }
        private bool SenderAddress3_;
        public bool SenderAddress3
        {
            get { return SenderAddress3_; }
            set
            {
                SenderAddress3_ = value;
                base.OnPropertyChanged("SenderAddress3");
            }
        }
        private bool SenderName1_;
        public bool SenderName1
        {
            get { return SenderName1_; }
            set
            {
                SenderName1_ = value;
                base.OnPropertyChanged("SenderName1");
            }
        }
        private bool SenderName2_;
        public bool SenderName2
        {
            get { return SenderName2_; }
            set
            {
                SenderName2_ = value;
                base.OnPropertyChanged("SenderName2");
            }
        }
        private bool SenderName3_;
        public bool SenderName3
        {
            get { return SenderName3_; }
            set
            {
                SenderName3_ = value;
                base.OnPropertyChanged("SenderName3");
            }
        }
        private bool SenderName4_;
        public bool SenderName4
        {
            get { return SenderName4_; }
            set
            {
                SenderName4_ = value;
                base.OnPropertyChanged("SenderName4");
            }
        }
        private bool SenderTel_;
        public bool SenderTel
        {
            get { return SenderTel_; }
            set
            {
                SenderTel_ = value;
                base.OnPropertyChanged("SenderTel");
            }
        }
        
        #endregion ui
    }
}
