﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Hitsuji.Framework.ViewModel;
using Hitsuji.Nengajou.Models.Contents;
using Hitsuji.Nengajou.ObserverPattern.Observers;
using Hitsuji.Nengajou.ObserverPattern.Subjects;
using Hitsuji.Framework.ObserverPattern.Observer;
using Hitsuji.Framework.ObserverPattern.Subject;
using Hitsuji.Nengajou.Views;

namespace Hitsuji.Nengajou.ViewModels
{
    public class PostInputViewModel : AViewModel
    {

        private IContentModel PostContentInfo_;
        public IContentModel PostContentInfo
        {
            get { return PostContentInfo_; }
            set { PostContentInfo_ = value; }
        }


        public PostInputViewModel()
        {
            PostContentInfo_ = ContentModelFactory.createPostContentModel();
            (PostContentInfo_ as PostInfoContentModel).canExeDelegate_ = canExecute;
            (PostContentInfo_ as PostInfoContentModel).exeDelegate_ = execute;
        }

        //データの取得
        //public void getAllData()
        //{
        //    Subject subject = new GetPostInfoSubject();
        //    subject.models.Add(this.PostContentInfo.GetType().Name, this.PostContentInfo);

        //    (PostContentInfo as PostInfoContentModel).getDataAll("path", new GetInfoAllDao());
            
        //}

        //コマンド CanExecute
        public bool canExecute()
        {
            //if (string.IsNullOrEmpty((PostContentInfo as PostInfoContentModel).Id))
            //    return false;

            if (string.IsNullOrEmpty((PostContentInfo as PostInfoContentModel).PNoPre1) ||
                string.IsNullOrEmpty((PostContentInfo as PostInfoContentModel).PNoPre2) ||
                string.IsNullOrEmpty((PostContentInfo as PostInfoContentModel).PNoPre3) ||
                string.IsNullOrEmpty((PostContentInfo as PostInfoContentModel).PNoPost1) ||
                string.IsNullOrEmpty((PostContentInfo as PostInfoContentModel).PNoPost2) ||
                string.IsNullOrEmpty((PostContentInfo as PostInfoContentModel).PNoPost3) ||
                string.IsNullOrEmpty((PostContentInfo as PostInfoContentModel).PNoPost4))
                return false;

            return true;
        }

        //コマンド execute
        protected void execute()
        {
            //var getPostInfosSubject = new GetPostInfoSubject();
            //var updatePostDataSourceFileObserver = new UpdatePostInfoDataBaseObserver();
            //getPostInfosSubject.models.Add(this.PostContentInfo.GetType().Name, this.PostContentInfo);
            //getPostInfosSubject.addObserver(updatePostDataSourceFileObserver);
            //getPostInfosSubject.doMyRole();
            
            ////強制的にビュー更新
            //var primaryMenuVM = ViewModelCollection.getViewModelFromCollection(new PrimaryMenuView(), new PrimaryMenuViewModel()) as PrimaryMenuViewModel;
            ////primaryMenuVM.onPostMenuClicked();
        }
    }
}
